/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * based on the contribution from AOI (MAKI aoi).
 * --------------------------------------------------------------------
 * $Id: a_rec.c,v 1.1 1993/06/06 06:05:00 mura Exp $
 */

/* System headers */
#include <audio.h>
#include <errno.h>
#include <sys/iocs.h>

/* Functions */
void a_rec (void *buffer, int size, int freq, int length)
{
    /* LoCgw肳Ă΁AꂪD */
    if (length != 'NASI' && length < size)
	size = length;

    /* l`FbN */
    if (size <= 0 || freq < 0 || freq > 4) {
	errno = EINVAL;
	return;
    }

    /* ۂɓ͂ */
    _iocs_adpcminp (buffer, (freq << 8) | 3, size);

    /* ͂I܂őҋ@ */
    while (_iocs_adpcmsns () != 0);
}
