/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _addlsep.c,v 1.3 1994/05/02 16:36:10 mura Exp $
 */

/* System headers */
#include <string.h>
#include <sys/xglob.h>

/* Macros */
#define ISMBBLEAD(c) \
	((unsigned char)(((c) ^ 0x20) + 0x23) >= (unsigned char)((0x81 ^ 0x20) + 0x23))

/* Functions */
char *_addlastsep (char *path)
{
    char *p;

    /* path ꕶÂׂ */
    for (p = path; *p; p++) {

	/* obNXbVϊ */
	if (*p == '\\')
	    *p = '/';

	/* ̓XLbv */
	else if (ISMBBLEAD (p[0]) && p[1])
	    p++;
    }

    /* Ōオ /  : łȂΒǉ */
    if (path < p && p[-1] != '/' && p[-1] != ':') {
	*p++ = '/';
	*p = '\0';
    }

    /* path Ԃ */
    return path;
}

/*
 * :
 *	"d:"  "d:/" ɂȂȂ̂́A҂͓fBNgwƂ͌
 *	Ȃł. d = fBNgAf = t@CƂāA
 *	_dellastsep (_addlastsep (d))  d
 *	strcat (_addlastsep (_dellastsep (d)), f)  strcat (d, f)
 *	藧悤ɂĂ܂.
 */
