/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _toslash.c,v 1.2 1994/05/02 16:36:51 mura Exp $
 */

/* System headers */
#include <sys/xglob.h>

/* Macros */
#define ISMBBLEAD(c) \
	((unsigned char)(((c) ^ 0x20) + 0x23) >= (unsigned char)((0x81 ^ 0x20) + 0x23))

/* Functions */
char *_toslash (char *path)
{
    char *p;

    /* path ꕶÂׂ */
    for (p = path; *p; p++) {

	/* obNXbVϊ */
	if (*p == '\\')
	    *p = '/';

	/* ̓XLbv */
	else if (ISMBBLEAD (p[0]) && p[1])
	    p++;
    }

    /* path Ԃ */
    return path;
}
