* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: _fpu_is68881.s,v 1.2 1993/09/07 16:19:07 mura Exp $
*

_FPU_ID:	.equ		($00)
_FPU_IO:	.equ		($00e9e000+_FPU_ID*$80)

		.cpu	68000

		.text

__f_is68881::
		.cpu	68020
		fmovecr	#$01,fp0
		fmove.d	fp0,-(sp)
		.cpu	68000
		move.l	(sp)+,d0
		move.l	(sp)+,d1
		rts

__fpu_is68881::
		lea		(_FPU_IO),a0
		lea		($000a,a0),a1
		lea		($0010,a0),a2
		move		#$5c01,(a1)	;fmovecr #$01,fp0
@@:
		tst		(a0)
		bmi		@b
		move		#$7400,(a1)	;fmove.d fp0,-(sp)
@@:
		cmpi		#$8900,(a0)
		beq		@b
		move.l		(a2),d0		;move.l (sp)+,d0
		move.l		(a2),d1		;move.l (sp)+,d1
@@:
		tst		(a0)
		bmi		@b
		rts

		.end
