/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id:$
 */

/* System headers */
#include <sys/xmath.h>

/* Macros */
#if defined (__MC68020__) && defined (__HAVE68881__)
#define FLAG (_FLG_ILCPU | _FLG_FPU)
#else
#define FLAG (_FLG_ILCPU)
#endif

/* External variables */
char _havefpu = FLAG;
char _ohavefpu = FLAG;

/* EOF */
