/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id:$
 */

/* System headers */
#include <sys/xmath.h>

/* Functions */
int _is68881 (void)
{
    xdouble_t value;

    /* 68881 `FbN */
    __asm ("fmovecr #$01,%0" : "=f" (value.d));

    /* ߂ */
    return (value.ll == 0ULL) ? 1 : 0;
}
