/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id:$
 */

/* System headers */
#include <math.h>
#include <sys/xmath.h>

/* Functions */
double atanh (double x)
{
    return 0.50 * log ((1.0 + x) / (1.0 - x));
}
