/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id:$
 */

/* System headers */
#include <math.h>
#include <sys/xmath.h>

/* Functions */
double ceil (double x)
{
    double value;

    __asm ("fmove.l fpcr,d0\n\t"
	   "fmove.l %2,fpcr\n\t"
	   "fint.x %1,%0\n\t"
	   "fmove.l d0,fpcr"
	   : "=f" (value)
	   : "f" (x), "dmi" (0x30)
	   : "d0");

    return value;
}
