/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id:$
 */

/* System headers */
#include <math.h>
#include <errno.h>
#include <sys/xmath.h>

/* Functions */
double ldexp (double x, int exp)
{
    double value;

    asm ("fscale.l %2,%0" : "=f" (value) : "0" (x), "g" (exp));
    FPU_ERRCHK ();
    return value;
}
