/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsbtype.c,v 1.2 1993/06/07 15:28:34 mura Exp $
 */

/* System headers */
#include <mbctype.h>
#include <mbstring.h>
#include <sys/xmbstring.h>

/* Functions */
int mbsbtype (const unsigned char *str, size_t nbyte)
{
    const unsigned char *end = &str[nbyte];
    int last;

    /* ړĨoCg̎̕܂Ői߂ */
    do {

	/* r NUL sȕ ILLEGAL */
	if ((last = _mblen (str)) <= 0)
	    return _MBC_ILLEGAL;

	/* ̃TCY|C^i߂ */
	str += last;

    } while (str <= end);

    /* ANK ? */
    if (last == 1) {
	unsigned char ch = *--str;

	/* ILLEGAL `FbN */
	if ((ch >= 0x20 && ch <= 0x7e) || (ch >= 0xa1 && ch <= 0xdf))
	    return _MBC_SINGLE;
	else
	    return _MBC_ILLEGAL;
    }

    /* 1 oCgڂ? */
    else if ((str - 2) == end)
	return _MBC_LEAD;

    /* 2 oCgڂł */
    return _MBC_TRAIL;
}
