/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbscat.c,v 1.1.1.1 1993/04/18 16:19:31 mura Exp $
 */

/* System headers */
#include <mbstring.h>

/* Functions */
unsigned char *mbscat (unsigned char *dst, const unsigned char *src)
{
    int c;
    unsigned char *save = dst;

    /* ̍ŌT */
    while ((c = mbsnextc (dst)) != 0)
	dst = mbsinc (dst);

    /* A */
    mbscpy (dst, src);

    /*  dst Ԃ */
    return save;
}
