/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsnccnt.c,v 1.1.1.1 1993/04/18 16:19:49 mura Exp $
 */

/* System headers */
#include <mbstring.h>
#include <sys/xmbstring.h>

/* Functions */
size_t mbsnccnt (const unsigned char *string, size_t n)
{
    int bytes;
    int count = 0;

    /* JEg */
    while (n > 0) {

	/*  1 }`oCg̃oCg𒲂ׂ */
	if ((bytes = _mblen (string)) <= 0)
	    return count;

	/* |C^i߁AZ */
	string += bytes;
	n -= bytes;
	count++;

    }

    /* Ԃ */
    return count;
}
