/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsncpy.c,v 1.2 1994/11/27 13:03:38 mura Exp $
 */

/* System headers */
#include <mbstring.h>
#include <sys/xmbstring.h>

/* Functions */
unsigned char *mbsncpy (unsigned char *dst, const unsigned char *src, size_t n)
{
    int c;
    unsigned char *save = dst;

    if (n <= 0)
	return save;

    /* 𕡎ʂ */
    for (; n > 0 && (c = mbsnextc (src)); n--) {

	/* Rs[ɕ */
	_mbset (dst, c);

	/* Rs[|C^i߂ */
	dst = mbsinc (dst);

	/* Rs[|C^i߂ */
	src = mbsinc ((unsigned char *) src);

    }

    /* null ɒBꍇ͎c null Ŗ߂ */
    for (; n > 0; n--)
	*dst++ = '\0';

    /*  dst Ԃ */
    return save;
}
