/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsrchr.c,v 1.1.1.1 1993/04/18 16:20:00 mura Exp $
 */

/* System headers */
#include <mbstring.h>

/* Functions */
unsigned char *mbsrchr (const unsigned char *string, int chr)
{
    int c;
    unsigned char *save = 0;

    /* ͂ */
    for (c = mbsnextc (string); c; c = mbsnextc (string)) {

	/* v邩? */
	if (c == chr)
	    save = (unsigned char *) string;

	/* |C^i߂ */
	string = mbsinc ((unsigned char *) string);

    };

    /* vf[^΂Ԃ */
    if (save)
	return save;

    /* null ΏۂȂ猻݈ʒuԂ */
    if (chr == '\0')
	return (unsigned char *) string;

    /* Ȃ */
    return 0;
}
