/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsset.c,v 1.2 1994/11/26 14:54:38 mura Exp $
 */

/* System headers */
#include <string.h>
#include <mbctype.h>
#include <mbstring.h>

/* Functions */
unsigned char *mbsset (unsigned char *string, int c)
{
    size_t len;
    unsigned char ch, cl;
    unsigned char *p = string;

    /* ̃oCg𓾂 */
    len = strlen (p);

    /* c  16bit ̕ł΂𕪉 */
    if (_MBIS16 (c)) {

	/* A 8bit  null Ȃ null Ƃ݂Ȃ */
	if (_MBLMASK (c) == 0)
	    c = '\0';

	ch = _MBGETH (c);
	cl = _MBGETL (c);

	/* Ŝ𖄂߂ */
	while (len > 1) {
	    *p++ = ch;
	    *p++ = cl;
	    len -= 2;
	}

	/* Ō1oCg̗]̓Xy[XŖ߂ */
	if (len > 0)
	    *p++ = ' ';

    }
    else {

	/* Ŝ𖄂߂ */
	for (; len > 0; len--)
	    *p++ = c;

    }

    /* string Ԃ */
    return string;
}
