/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsspn.c,v 1.1.1.1 1993/04/18 16:20:03 mura Exp $
 */

/* System headers */
#include <mbstring.h>

/* Functions */
size_t mbsspn (const unsigned char *str1, const unsigned char *str2)
{
    int c;
    unsigned char *ptr;
    const unsigned char *save = str1;

    /*  1 `FbN */
    while ((c = mbsnextc (str1)) != 0) {

	/* str2 ̒ c 邩 */
	if ((ptr = mbschr (str2, c)) == 0)
	    break;

	/* |C^i߂ */
	str1 = mbsinc ((unsigned char *) str1);

    }

    /* CfbNXԂ */
    return str1 - save;
}
