/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: setlocale.c,v 1.1.1.1 1993/04/18 16:17:42 mura Exp $
 */

/* System headers */
#include <search.h>

/* Functions */
void *lfind (const void *key, const void *base,
	     size_t *nelp, size_t width,
	     int (*compar) (const void *, const void *))
{
    int n;
    void *ptr;

    /* Jnʒu */
    ptr = (void *) base;

    /* ݂̗vf𓾂 */
    n = *nelp;

    /* SĂ̗vfjAɃ`FbN */
    while (n-- > 0) {

	/* vfr */
	if ((*compar) ((const void *) ptr, key) == 0)
	    return ptr;

	/* ̗vf */
	ptr = (void *) ((unsigned long) ptr + width);

    }

    /* Ȃ */
    return 0;
}
