* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id:$
*

		.ifdef		SIGNAL
		.xref		__sigmask
		.endif

		.ifndef		FPU
		.xref		__ohavefpu
FLG_FPU_BIT:	.equ		2
		.endif

* jmp_buf
		.offset		0
ret:		.ds.l		1
dregs:		.ds.l		5
aregs:		.ds.l		5
fpregs:		.ds.x		6
sigmask:	.ds.l		1

		.offset		4

environment:	.ds.l		1
rval:		.ds.l		1

		.cpu		68000

		.text

_longjmp::
		move.l		(environment,sp),a0
		move.l		(rval,sp),d0
		bne		do_jmp
		moveq.l		#1,d0
do_jmp:
		.ifdef		SIGNAL
		move.l		(sigmask,a0),(__sigmask)
		.endif
		movea.l		(a0)+,a1		* ret
		movem.l		(a0)+,d3-d7/a3-a7	* dregs / aregs
		.ifndef		FPU
		btst		#FLG_FPU_BIT,(__ohavefpu)
		beq		no_fpu
		.endif
		.cpu		68020
		fmovem.x	(a0)+,fp2-fp7		* fpregs
		.cpu		68000
no_fpu:
		addq.l		#4,sp
		jmp		(a1)

		.end
