* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id:$
*

		.ifdef		SIGNAL
		.xref		__sigmask
		.endif

		.ifndef		FPU
		.xref		__ohavefpu
FLG_FPU_BIT:	.equ		2
		.endif

* jmp_buf
		.offset		0
ret:		.ds.l		1
dregs:		.ds.l		5
aregs:		.ds.l		5
fpregs:		.ds.x		6
sigmask:	.ds.l		1

		.offset		4

environment:	.ds.l		1

		.cpu		68000

		.text

__setjmp::
_setjmp::
		movea.l		(environment,sp),a0
		.ifdef		SIGNAL
		move.l		(__sigmask),(sigmask,a0)
		.endif
		lea		(fpregs,a0),a0
		.ifndef		FPU
		btst		#FLG_FPU_BIT,(__ohavefpu)
		beq		no_fpu
		.endif
		.cpu		68020
		fmovem.x	fp2-fp7,(a0)		* fpregs
		.cpu		68000
no_fpu:
		movem.l		d3-d7/a3-a7,-(a0)	* dregs / aregs
		move.l		(sp),-(a0)		* ret
		moveq		#0,d0
		rts

		.end
