/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _sigsetcnt.c,v 1.3 1994/11/26 14:56:06 mura Exp $
 */

/* System headers */
#include <sys/iocs.h>
#include <sys/xsignal.h>

/* Functions */
void _sigsetcnt (int n, int next)
{

    /* JE^Zbg */
    _rtccnt = n;
    _rtcnxt = next;

    /* RTC 𑀍삵 16Hz Clock Jn */
    _iocs_b_bpoke ((void *) &RTC_RESET_CTRL, 0x08);

    /* alarm ̐ݒ̃tO */
    _alarm_on = 1;
}
