* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: _main.s,v 1.13 1994/11/26 14:56:31 mura Exp $
*

		.include	doscall.mac
		.include	iocscall.mac

		.xref		__start

ENOSYS:		.equ		29

MPUTYPE:	.equ		$cbc
FPUFLAG:	.equ		$cbd

		.ifdef		FPU
		.ifndef		CPU
		.fail		1
		.endif
		.endif

		.cpu		68000

		.text

__main::
		bra.s		__main_1
__hupair_mark::
		.dc.b		'#HUPAIR',0
		.dc.b		'#LIBCV1',0
		.even

__main_1:
		lea		(libstack),sp

		** Human ̃o[W`FbN **
		DOS		__VERNUM
		cmpi		#$0302,d0
		bcs		__main_2

		** MPU ̌ **
		.ifdef		CPU
		lea		(MPUTYPE),a1
		IOCS		__B_BPEEK
		subq.b		#(CPU-68000)/10,d0
		bcs		mpu_error
		.endif

		** FPU ̌ **
		.ifdef		FPU
		IOCS		__B_BPEEK
		tst.b		d0
		beq		mpu_error
		.endif

		** X^[gAbv[`Ăяo **
		move.l		a0,-(sp)
		.ifdef		CPU
		.cpu		CPU
		bsr.l		__start
		.else
		jsr		(__start)
		.endif

		**  CPU ł͎słȂ **
		.ifdef		CPU
mpu_error:
		pea		(mpu_err_mes,pc)
		bra		error_exit
		.endif

		** o[W 3.02 ͎gȂ **
__main_2:
		pea		(version_err_mes,pc)
error_exit:
		DOS		__PRINT
		move		#$8000.or.ENOSYS,(sp)
		DOS		__EXIT2

*		.data
		.even

__libc_release::.dc.b		'Jafar',0
__libc_version::.dc.b		'1.1.32A',0

version_err_mes:.dc.b		'libc: this version of human68k is not supported.',13,10,0

		.ifdef		CPU
mpu_err_mes:	.dc.b		'libc: this mpu is not supperted.',13,10,0
		.endif

		.bss

		.ds.b		128
libstack::

		.end		__main
