/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _swrite.c,v 1.1.1.1 1993/04/18 16:22:13 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <unistd.h>
#include <sys/xstdio.h>

/* Functions */
int _swrite (FILE *fp)
{
    /* `FbN */
    if ((fp->_flag & (_IOWRITE | _IOR)) != _IOWRITE) {
	fp->_flag |= _IOERR;
	return EOF;
    }

    /* ݂łȂ΃[h */
    if ((fp->_flag & _IOW) == 0) {
	fp->_cnt = fp->_bufsiz;
	fp->_flag |= _IOW;
	return 0;
    }

    /* obt@O]nȂ߂ */
    if (fp->_cnt > 0)
	return 0;

    /* sprintf ňĂяoȂ狭I */
    if (fp->_file < 0)
	return EOF;

    /* Ƀ|C^ */
    fp->_ptr = fp->_base;
    fp->_cnt = fp->_bufsiz;

    /* f[^ */
    if (write (fp->_file, (const char *) fp->_base, fp->_bufsiz) <= 0) {
	fp->_flag |= _IOERR;
	return EOF;
    }

    /* ɏ߂Ȃ... */
    else {
	fp->_flag &= ~(_IOEOF | _IOERR);
	return 0;
    }
}
