/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: fputc.c,v 1.1.1.1 1993/04/18 16:22:39 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <sys/xstdio.h>

/* Functions */
int fputc (int character, FILE *fp)
{
    /* ݑobt@ */
    if (_swrite (fp) < 0)
	return EOF;

    /* JE^Z */
    fp->_cnt--;

    /* obt@Ɉꕶ] */
    *fp->_ptr++ = (unsigned char) character;

    /* mobt@OACobt@Ȍ */
    if (((fp->_flag & _IONBF)) ||
	((fp->_flag & _IOLBF) && (character == '\n'))) {
	if (fflush (fp) < 0)
	    return EOF;
    }

    /*  character Ԃ */
    return character;
}
