/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: gets.c,v 1.2 1993/05/15 15:38:09 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <limits.h>
#include <string.h>
#include <unistd.h>
#include <sys/xstdio.h>

/* Functions */
char *gets (char *buffer)
{
    int n, hope;
    char *ptr;
    unsigned char *mark;

    /* n  0x01000000 () ACHAR foCXȂ MAX_CANON ł */
    n = isatty (stdin->_file) ? MAX_CANON : 0x10000000;
    ptr = buffer;

    /* n - 1 o */
    while (n > 0) {

	/* ǂݍݑobt@ */
	if (_sread (stdin) < 0) {
	    *ptr = '\0';
	    return 0;
	}

	/* ǂݏo߂ */
	hope = (n > stdin->_cnt) ? stdin->_cnt : n;

	/* obt@ NEWLINE ͂邩 */
	if ((mark = memchr (stdin->_ptr, '\n', hope)) != NULL) {
	    hope = mark - stdin->_ptr + 1;
	    memcpy (ptr, stdin->_ptr, hope - 1);
	    stdin->_cnt -= hope;
	    ptr         += hope - 1;
	    stdin->_ptr += hope;
	    break;
	}

	/* f[^]Ď҂ */
	memcpy (ptr, stdin->_ptr, hope);
	n           -= hope;
	stdin->_cnt -= hope;
	ptr         += hope;
	stdin->_ptr += hope;

    }

    /* null őł~߂ */
    *ptr = '\0';

    /* buffer Ԃ */
    return buffer;
}
