/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: snprintf.c,v 1.1.1.1 1993/04/18 16:23:16 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <stdarg.h>
#include <sys/xstdio.h>

/* Functions */
int snprintf (char *buffer, size_t bufsiz, const char *format, ...)
{
    va_list ap;
    int done;

    /* tH[}bgo */
    va_start (ap, format);
    done = vsnprintf (buffer, bufsiz, format, ap);
    va_end (ap);

    return done;
}
