/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: vsnprintf.c,v 1.1.1.1 1993/04/18 16:23:32 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <stdarg.h>
#include <sys/xstdio.h>

/* Functions */
int vsnprintf (char *buffer, size_t bufsiz, const char *format, va_list ap)
{
    struct _stdbuf string;

    /* obt@eʂ 0 Ȃ牽ɋA */
    if (bufsiz == 0)
	return 0;

    /* obt@ FILE \̂ɍv */
    string._ptr = string._base = (unsigned char *) buffer;
    string._cnt = string._bufsiz = bufsiz -1;
    string._flag = _IOWRITE | _IOW | _IOBIN;
    string._file = -1;
    string._nback = 0;

    /* tH[}bgo */
    (void) _doprnt (format, ap, &string);

    /* nullőł~ */
    *string._ptr = '\0';
    return (string._ptr - string._base);
}
