/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _ma_search.c,v 1.1.1.1 1993/04/18 16:23:48 mura Exp $
 */

/* System headers */
#include <sys/xstdlib.h>

/* Functions */
char *_ma_search (size_t size)
{
    int count;
    char *list, *prev, *next;

    /*
    ** 󂫃ubNXg𓾂B
    */
    if ((list = _ma_flist) == 0)
	return 0;

    /*
    ** ŏ̋󂫃ubNɂĎBubÑTCY size
    ** ȏȂ΂gƂɂB
    */
    if (MA_FASTMASK (MA_FFLAG (list)) >= size)
	return list;

    /*
    ** ŏ̃ubNł߂Ȃ悤Ȃ炻OoɃXgH
    ** AK؂ȃubNTB܂A̒T񐔂ZoB
    */
    if ((count = (_ma_fnum >> 1)) == 0)
	return 0;

    /*
    ** T count [vAOɋ󂫃ubNXgT
    ** B
    */
    prev = MA_PREV (list);
    next = MA_NEXT (list);
    while (count--) {
	if (MA_FASTMASK (MA_FFLAG (next)) >= size)
	    return next;
	if (MA_FASTMASK (MA_FFLAG (prev)) >= size)
	    return prev;
	next = MA_NEXT (next);
	prev = MA_PREV (prev);
    }

    /*
    ** ǌtȂB
    */
    return 0;
}
