* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: _ultoa.s,v 1.1 1994/11/27 13:05:51 mura Exp $
*

NBYTES:		.equ		5
NBITS:		.equ		32

		.offset		4

val:		.ds.l		1
ptr:		.ds.l		1

		.cpu		68000

		.text

__ultoa::
		movem.l		(val-4,sp),d0/d1/a1
		clr.l		-(sp)			* obt@
		clr		-(sp)
		.fail		(4+2).ne.(NBYTES+1)
		moveq		#NBITS-1,d0
bcd_loop_2:
		lea		(NBYTES,sp),a0
		lea		(a0),a2
		lsl.l		#1,d1			* 32bitVtg
		.rept		NBYTES
		abcd		-(a2),-(a0)		* BCDZ
		.endm
		dbra		d0,bcd_loop_2

* now a0 point to top of bcd buffer.
		moveq		#NBYTES-1,d0
skip_dz:
		move.b		(a0)+,d1		* 0XLbv
		dbne		d0,skip_dz
		bne		skip_sz
		move.b		#'0',(a1)+
		bra		set_eos
skip_sz:
		moveq		#$f,d2			* ʂ0XLbv
		and.b		d1,d2
		lsr.b		#4,d1
		bne		cnv_upper
		bra		cnv_lower
cnv_loop:
		move.b		(a0)+,d1		* ʏϊ
		moveq		#$f,d2
		and.b		d1,d2
		lsr.b		#4,d1
cnv_upper:
		addi.b		#'0',d1
		move.b		d1,(a1)+
cnv_lower:
		addi.b		#'0',d2
		move.b		d2,(a1)+
		dbra		d0,cnv_loop
set_eos:
		clr.b		(a1)
		addq.l		#NBYTES+1,sp
		rts

		.end
