* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: atoi.s,v 1.1.1.1 1993/04/18 16:24:00 mura Exp $
*

		.offset		4

string:		.ds.l		1

		.ifndef		CPU
CPU:		.equ		68000
		.endif

		.cpu		CPU

		.text

_atoi::
_atol::
		movea.l		(sp)+,a2		;return address
		movea.l		(string-4,sp),a0
		moveq		#0,d0
		moveq		#0,d2
skip_loop:
		move.b		(a0)+,d1
		beq		return
		cmpi.b		#' ',d1
		beq		skip_loop
		cmpi.b		#$09,d1
		beq		skip_loop
		cmpi.b		#'+',d1
		beq		nextfetch
		cmpi.b		#'-',d1
		bne		conversion
		moveq		#1,d2
nextfetch:
		move.b		(a0)+,d1
conversion:
		subi.b		#'0',d1
		cmpi.b		#9,d1
		bhi		exit_point
		.if		CPU>=68020
		extb.l		d1
		.else
		ext		d1
		ext.l		d1
		.endif
		add.l		d0,d0
		add.l		d0,d1
		lsl.l		#2,d0
		add.l		d1,d0
		bra		nextfetch
exit_point:
		tst.b		d2
		beq		return
		neg.l		d0
return:
		jmp		(a2)			;rts

		.end
