* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: atow.s,v 1.1 1993/08/16 13:51:29 mura Exp $
*

		.offset		4

string:		.ds.l		1

		.cpu		68000

		.text

_atow::
		movea.l		(string,sp),a0
		moveq		#0,d0
		moveq		#0,d1
		moveq		#0,d2
skip_loop:
		move.b		(a0)+,d1
		beq		return
		cmpi.b		#' ',d1
		beq		skip_loop
		cmpi.b		#$09,d1
		beq		skip_loop
		cmpi.b		#'+',d1
		beq		nextfetch
		cmpi.b		#'-',d1
		bne		conversion
		moveq		#1,d2
nextfetch:
		move.b		(a0)+,d1
conversion:
		subi.b		#'0',d1
		cmpi.b		#9,d1
		bhi		exit_point
		mulu		#10,d0
		add		d1,d0
		bra		nextfetch
exit_point:
		tst.b		d2
		beq		return
		neg		d0
return:
		rts

		.end
