/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: fconvert.c,v 1.2 1994/11/27 13:06:19 mura Exp $
 */
/* changed 1997.2.3 by K.Okabe */

/* System headers */
#include <stdlib.h>
#include <sys/xstdlib.h>

/* Functions */
char *fconvert (double x, int ndigit, int *decpt, int *sign, char *buffer)
{
    int pos, n;
    char *src, *dst;
    char string[24];
    int figup;

    /* 18̕ɕϊ */
    _dtos18 (x, decpt, sign, string);

    /* Rs[AhXݒ */
    src = string;

    /* Rs[AhXݒ */
    dst = buffer;

    /* _ʒu𓾂 */
    pos = *decpt;

    /* _ʒuȂ */
    if (pos < 0) {

	/* ߂錅vZ */
	n = min (-pos, ndigit);

	/* 擪0Ŗ߂ */
	while (--n >= 0)
	    *dst++ = '0';

	/* _ʒu0ɂȂ */
	*decpt = 0;

    }

    /* c̃Rs[ */
    n = ndigit + pos;

    /* i[ɃRs[ */
    while (--n >= 0) {

	/* Ȃ0Ŗ߂ */
	if (*src == '\0') {
	    do {
		*dst++ = '0';
	    } while (--n >= 0);
	    break;
	}

	/* ϊ񂩂Rs[ */
	*dst++ = *src++;

    }

    /* ۂ߂ */
    *decpt += (figup = _round (buffer, dst, *(unsigned char *)src));

    /* Jオ肪Ζ0ǉ */
    if (figup)
	*dst++ = '0';

    /* I[ NUL ł */
    *dst = '\0';

    /* AhXԂ */
    return buffer;
}
