/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mktemp.c,v 1.2 1994/11/26 14:59:15 mura Exp $
 */

/* System headers */
#include <unistd.h>
#include <errno.h>
#include <sys/dos.h>
#include <sys/stat.h>

/* Functions */
char *mktemp (char *template)
{
    int ch, count, pid;
    char *p;
    struct stat st;

    /* ݎ ߂ */
    p = template;
    count = 0;
    pid = (int) _dos_gettim2 () & 0x7fff;

    /* ܂ev[g̍ŌɈړ */
    while (*p)
	p++;

    /* ev[g̍Ōォ X ł萔ɒuĂ */
    while (*--p == 'X' && ++count <= 6) {
	*p = (pid % 10) + '0';
	pid /= 10;
    }

    /* ϊłȂꍇ template  */
    if (count <= 0)
	return (char *) -1;

    /* ␳ a n܂ */
    ch = 'a';
    p++;

    /* t@Cɂꍇ́Aev[g␳ */
    while (stat (template, &st) >= 0) {

	/* ␳ z zCӂɂłȂ */
	if (ch > 'z') {
	    *template = '\0';
	    return template;
	}

	/* last ̕̕␳ */
	*p = ch++;

    }

    /* ENOENT ȊO̗͑vɂG[ */
    if (errno != ENOENT)
	return (char *) -1;

    /* template Ԃ */
    return template;
}
