/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: strtod.c,v 1.1.1.1 1993/04/18 16:24:49 mura Exp $
 */

/* System headers */
#include <stdlib.h>
#include <sys/xmath.h>
#include <sys/xstdlib.h>

/* Functions */
double strtod (const char *str, char **endptr)
{
    double x;

    /* 𕂓_ */
    x = FPACK1 (__STOD, str);

    /* I[L^ */
    if (endptr)
	*endptr = (char *) str;

    /* x Ԃ */
    return x;
}
