* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: memccpy.s,v 1.1.1.1 1993/04/18 16:25:10 mura Exp $
*

		.xdef		_memccpy

		.offset		4

region1:	.ds.l		1
region2:	.ds.l		1
c:		.ds.l		1
n:		.ds.l		1

		.cpu		68000

		.text

_memccpy::
		movem.l		(region1,sp),a0/a1
		move.l		(n,sp),d2
		subq.l		#1,d2
		bmi		not_end
		move.b		(c+3,sp),d1
cpy_loop:
		move.b		(a1)+,d0
		move.b		d0,(a0)+
		cmp.b		d1,d0
		dbeq		d2,cpy_loop
		beq		found_end
		clr		d2
		subq.l		#1,d2
		bcc		cpy_loop
not_end:
		moveq		#0,d0
		rts
found_end:
		move.l		a0,d0
		rts

		.end
