/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: strxfrm.c,v 1.1.1.1 1993/04/18 16:26:01 mura Exp $
 */

/* System headers */
#include <string.h>
#include <stddef.h>

/* Functions */
size_t strxfrm (char *dst, const char *src, size_t len)
{
    char ch;
    char *top;

    /* len  0 ̎̏ */
    if (len == 0)
	return strlen (src);

    /*
    ** {ȂALC_COLLATE ɂăR[hZbgύX̂
    ** {֐͂̋@\ĂȂBLC_COLLATE ͂ł "C"
    ** z肷
    */
    top = dst;
    do {
	if ((ch = *src++) == 0)
	    break;
	*dst++ = ch;
    } while (--len);

    /* ϊoCgԂ */
    return dst - top;
}
