/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _enargv.c,v 1.1 1993/10/06 16:51:12 mura Exp $
 */

/* System headers */
#include <string.h>
#include <stdlib.h>
#include <limits.h>
#include <sys/xstart.h>
#include <sys/xglob.h>

/* Functions */
int _enargv (int argc, char **argv, const char *com)
{
    int n = 0;
    int i, last;
    task tdb;
    static char program_name[PATH_MAX + 1];

    /* ^XNǗe[u擾 */
    TSGetTdb (&tdb, -1);

    /* Ǘe[u疼Oo */
    strcpy (program_name, tdb.name);

    /* program_name ̍Ōオ . Ȃ炻菜 */
    last = strlen (program_name) - 1;
    if (program_name[last] == '.')
	program_name[last] = '\0';

    /* ARGV[0] ɋL^ */
    argv[n++] = program_name;

    /* ARGV z𐶐 */
    for (i = 0; i < argc; i++) {

	/* IvVw肩 */
	if (com[0] == '-' && com[1] == '+' && com[2] == '-') {
	    if (com[3] == 'h' && com[4] == ':') {
		_heapsize = atoi (com + 5);
		goto skipit;
	    }
	    else if (com[3] == 's' && com[4] == ':') {
		_stacksize = atoi (com + 5);
		goto skipit;
	    }
	    else if (com[3] == 'p') {
		_superman |= _SUPER_GO;
		goto skipit;
	    }
	    else if (com[3] == 'f') {
		_superman |= _SUPER_FLOAT;
		goto skipit;
	    }
	    else if (com[3] == 'g') {
		_cplusplus = 1;
		goto skipit;
	    }
	}

	/* ARGV ݒ */
	argv[n++] = (char *) com;

    skipit:

	/* ̈̐擪܂ŃXLbv */
	while (*com++);

    }

    /* Ō 0 őł~߂ */
    argv[n] = 0;

    /* ̐Ԃ */
    return n;
}
