/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: wait.c,v 1.1 1993/05/23 10:29:49 mura Exp $
 */

/* System headers */
#include <errno.h>
#include <sys/wait.h>
#include <sys/dos.h>
#include <sys/types.h>
#include <sys/xglob.h>

/* Functions */
pid_t wait (int *stat_loc)
{
    int rc;

    /* IR[h𓾂 */
    if ((rc = _dos_wait ()) < 0) {
	errno = _errcnv (rc);
	return (pid_t) -1;
    }

    /* IR[hi[ */
    if (stat_loc)
	*stat_loc = rc;

    /* IvZX̃vZX ID Ԃ */
    return (pid_t) 0;
}
