/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _getleaps.c,v 1.1.1.1 1993/04/18 16:38:14 mura Exp $
 */

/* System headers */
#include <time.h>
#include <sys/xtime.h>

/* Functions */
int __const _getleaps (int year)
{
    int y1, y2, y3;

    /* ON܂ł̒l߂ */
    year--;

    /*
    ** 1970 NȑỎ[NN艽No߂߂B
    ** 1968 N 4 N 1 ̉[NB
    */
    y1 = year - 1968;

    /* 1900 N 100 N 1 ̉[NłȂN */
    y2 = year - 1900;

    /* 1600 N 400 N 1 ̉[N */
    y3 = year - 1600;

    /* ꂼA񂠂vZ */
    return (y1 / 4 - y2 / 100 + y3 / 400);
}
