/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: clock.c,v 1.1.1.1 1993/04/18 16:38:21 mura Exp $
 */

/* System headers */
#include <time.h>
#include <sys/iocs.h>
#include <sys/xtime.h>

/* Functions */
clock_t clock (void)
{
    struct _ontime past;

    /* ݎƋNJnƂ̍߂ */
    past = _diffontime (_iocs_ontime2 (), _inclock);

    /* qvZX̎sԂ */
    past = _diffontime (past, _chclock);

    /* clock_t ^ɕϊ */
    return _ontime2clock (past);
}
