/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _open.c,v 1.5 1994/11/26 15:09:27 mura Exp $
 */

/* System headers */
#include <stdlib.h>
#include <string.h>
#include <limits.h>
#include <errno.h>
#include <sys/dos.h>
#include <sys/xglob.h>
#include <sys/xunistd.h>

/* Functions */
int _open (const char *fname, int fd, int mode)
{
    int ssp;
    struct _handles *lp = &_fddb[fd];

    /* \̂̓eNA */
    memset (lp, '\0', sizeof (struct _handles));

    /* ݂̃foCX̃[hۑ */
    lp->iomd = _dos_ioctrlgt (fd);

    /* X[p[oCU[ɂȂ FCB Rs[ */
    ssp = _dos_super (0);
    memcpy (&lp->fcb, _dos_getfcb (fd), sizeof (union _fcb));
    if (ssp > 0) _dos_super (ssp);

    /* handles \̂쐬 */
    lp->inuse = _FD_APPLICATION;
    lp->unlink = 0;
    lp->oflag = mode;
    lp->cdev = lp->iomd & _DEV_CDEV;

    /* ΃pXL */
    strcpy (lp->abspath, fname);

    /* ߂ */
    return 0;
}
