/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _sleep.c,v 1.1.1.1 1993/04/18 16:38:57 mura Exp $
 */

/* System headers */
#include <sys/dos.h>
#include <sys/iocs.h>
#include <sys/xtime.h>
#include <sys/xsignal.h>
#include <sys/xunistd.h>

/* Functions */
unsigned int _tsleep (unsigned int ticks)
{
    struct _ontime start;
    clock_t pass;

    /* JnL^ */
    start = _iocs_ontime2 ();

    /* pause tO𗧂Ă */
    _pause = 1;

    while (1) {

	/* oߎԂvZ */
	pass = _ontime2clock (_diffontime (_iocs_ontime2 (), start));

	/* pause tO邩Aw̎Ԃo߂I */
	if (_pause == 0 || ticks <= pass)
	    break;

	/* ̃vZX CPU 󂯓n */
	_dos_change_pr ();
    };

    /* pause tO */
    _pause = 0;

    /* c莞ԂԂ */
    return (ticks > pass) ? ticks - pass : 0;
}

/* EOF */
