/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: alarm.c,v 1.1.1.1 1993/04/18 16:39:06 mura Exp $
 */

/* System headers */
#include <unistd.h>
#include <sys/xsignal.h>

/* Externel variables */
efunc_t _sigrtcendjob = _sigrtcend;
efunc_t _sigrtcinitjob = _sigrtcinit;

/* Functions */
unsigned int alarm (unsigned int seconds)
{
    int rest;

    /* ݂̎cb𓾂 */
    rest = _rtccnt / RTC_HZ;

    /* seconds  0 Ȃ΃LZ */
    if (seconds == 0)
	_sigclrcnt ();

    /* Ȃ΃Zbg */
    else
	_sigsetcnt (seconds * RTC_HZ, 0);

    /* O̎cbԂ */
    return rest;
}

/*
 * :
 *	alarm() NȂꍇA_sigrtc{end,init}job 
 *	src/signal/_sig{end,init}.c ŊmۂꂽR̈悪gp.
 *	̏ꍇAϐ̒l NULL ƂȂ̂ŁA]vȃ[`̓N
 *	AAlarm 荞݂̐ݒύXȂōς.
 */
