/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: getlogin.c,v 1.1.1.1 1993/04/18 16:39:52 mura Exp $
 */

/* System headers */
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

/* Functions */
char *getlogin (void)
{
    char *logname;
    static char username[L_cuserid];

    /*
    ** Human68k ɂ̓[U[ƂTO͂Ȃ̂ŃVF(Ⴆfish)ݒ
    ** O𗘗pB܂Aʂ̃[U[ւ̐ؑւ͂łȂ̂ŏɃ
    ** OC[U[łB݂̂ƂAOC[U[͊ϐ LOGNAME
    ** oB
    */
    if ((logname = getenv ("LOGNAME")) == 0) {
	if ((logname = getenv ("USER")) == 0)
	    logname = "root";
    }

    /* f[^ static ȗ̈ɕۑ */
    return strcpy (username, logname);
}
