/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: isatty.c,v 1.3 1994/11/26 15:10:59 mura Exp $
 */

/* System headers */
#include <unistd.h>
#include <errno.h>
#include <sys/xunistd.h>

/* Functions */
int isatty (int fd)
{
#ifdef EBADF_CHECKER
    /* t@Cnh`FbN */
    if (_usedfd (fd) < 0) {
	errno = EBADF;
	return 0;
    }
#endif

    /* LN^foCXł */
    if (_fddb[fd].cdev) {

	/* Wo͂ƌѕtĂ邱Ƃ */
	if (_fddb[fd].iomd & (_DEV_STDIN | _DEV_STDOUT))
	    return 1;

    }

    /* G[R[hݒ */
    errno = ENOTTY;

    /* ȊO͑SNO */
    return 0;
}
