/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbschr.c,v 1.1.1.1 1993/04/18 16:19:33 mura Exp $
 */

/* System headers */
#include <mbstring.h>

/* Functions */
unsigned char *mbschr (const unsigned char *string, int chr)
{
    int c;

    /* ͂ */
    while ((c = mbsnextc (string)) != chr) {

	/* ͏I肩? */
	if (c == '\0')
	    return 0;

	/* |C^i߂ */
	string = mbsinc ((unsigned char *) string);

    };

    /* AhXԂ */
    return (unsigned char *) string;
}
