/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbscpy.c,v 1.2 1994/11/27 13:03:07 mura Exp $
 */

/* System headers */
#include <mbstring.h>
#include <sys/xmbstring.h>

/* Functions */
unsigned char *mbscpy (unsigned char *dst, const unsigned char *src)
{
    int c;
    unsigned char *save = dst;

    /* 𕡎ʂ */
    while ((c = mbsnextc (src)) != 0) {

	/* Rs[ɕ */
	_mbset (dst, c);

	/* Rs[|C^i߂ */
	dst = mbsinc (dst);

	/* Rs[|C^i߂ */
	src = mbsinc ((unsigned char *) src);

    }

    /* Ō null ł */
    *dst = '\0';

    /*  dst Ԃ */
    return save;
}
