/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id:$
 */

/* System headers */
#include <mbctype.h>
#include <mbstring.h>
#include <sys/xmbstring.h>

/* Functions */
unsigned char *mbsdec (const unsigned char *mbstring, unsigned char *ptr)
{
    int bytes;

    if (mbstring >= ptr)
	return NULL;

    do {
	if ((bytes = _mblen (mbstring)) <= 0)
	    return NULL;

	/* |C^i߂ */
	mbstring += bytes;

    } while (mbstring < ptr);

    /* Õ̕AhXԂ */
    return (unsigned char *) mbstring - bytes;
}
