/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsicmp.c,v 1.1.1.1 1993/04/18 16:19:40 mura Exp $
 */

/* System headers */
#include <ctype.h>
#include <mbstring.h>

/* Functions */
int mbsicmp (const unsigned char *str1, const unsigned char *str2)
{
    int c1, c2;

    /* r */
    while (1) {

	/* ̕񂩂 1 o */
	c1 = mbsnextc (str1);
	c2 = mbsnextc (str2);

	/* ǂ炩 null ɒBƏI */
	if (c2 == '\0' || c1 == '\0')
	    return c1 - c2;

	/* ҂قȂȂ甼p啶->pϊĂx */
	if (c1 != c2) {
	    if (_MBIS16 (c1) == 0)
		c1 = tolower (c1);
	    if (_MBIS16 (c2) == 0)
		c2 = tolower (c2);
	    if (c1 != c2)
		return c1 - c2;
	}

	/* |C^i߂ */
	str1 = mbsinc ((unsigned char *) str1);
	str2 = mbsinc ((unsigned char *) str2);

    }
}
