/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsspnp.c,v 1.1.1.1 1993/04/18 16:20:05 mura Exp $
 */

/* System headers */
#include <mbstring.h>

/* Functions */
unsigned char *mbsspnp (const unsigned char *str1, const unsigned char *str2)
{
    int c;

    /*  1 `FbN */
    while ((c = mbsnextc (str1)) != 0) {

	/* str2 ̒ c 邩 */
	if (mbschr (str2, c) == 0)
	    return (unsigned char *) str1;

	/* |C^i߂ */
	str1 = mbsinc ((unsigned char *) str1);

    }

    /* Ȃ */
    return 0;
}
