/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbsupr.c,v 1.2 1994/11/27 13:03:48 mura Exp $
 */

/* System headers */
#include <ctype.h>
#include <mbstring.h>
#include <sys/xmbstring.h>

/* Functions */
unsigned char *mbsupr (unsigned char *string)
{
    int c;
    unsigned char *save = string;

    /* ϊ */
    while ((c = mbsnextc (string)) != 0) {

	/* p */
	if (_MBIS16 (c) == 0)
	    c = toupper (c);

	/* Rs[ɕ */
	_mbset (string, c);

	/* |C^i߂ */
	string = mbsinc (string);

    }

    /*  dst Ԃ */
    return save;
}
