/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _siginit.c,v 1.3 1993/06/22 07:13:49 mura Exp $
 */

/* System headers */
#include <sys/dos.h>
#include <sys/xsignal.h>
#include <sys/xstart.h>

/* Externel variables */
efunc_t _oldabj;
efunc_t _oldabt;
efunc_t _oldctl;
efunc_t _olderr;
efunc_t _oldex2;
efunc_t _oldkpr;
efunc_t _sigrtcinitjob;

/* Externel variables */
int _oldbrk;

/* Functions */
void _siginit (void)
{

    /* dos ̃u[N`FbNۑ */
    _oldbrk = _dos_breakck (-1);

    /* dos ̃u[N`FbNSĂɂ */
    _dos_breakck (1);

    /* _dos_exit2 xN^ݒ肷 */
    _oldex2 = _dos_intvcs (DEXIT2_VECTORNO, (void *) _exit);

    /* _iocs_abortjob xN^ݒ肷 */
    _oldabj = _dos_intvcs (ABRTJB_VECTORNO, (void *) _intabt);

    /* _dos_errabort xN^ */
    _oldabt = _dos_intvcg (ERRABT_VECTORNO);

    /* _dos_ctlabort xN^ݒ肷 */
    _oldctl = _dos_intvcs (CTLABT_VECTORNO, (void *) _intctl);

    /* _dos_errabort xN^ݒ肷 */
    _dos_intvcs (ERRABT_VECTORNO, (void *) _intabt);

    /* trap14 xN^ݒ肷 */
    _olderr = _dos_intvcs (TRAP14_VECTORNO, (void *) _interr);

    /* _dos_kill_pr xN^̃tbNݒ肷 */
    _oldkpr = _dos_intvcs (KILLPR_VECTORNO, (void *) _intabt);

    /* XvAX荞݂𖳌 */
    _mask_spurious ();

    /* Alarm 荞݂ݒ肷 */
    if (_sigrtcinitjob)
	(*_sigrtcinitjob) ();
}

/*
 * :
 *	_sigrtcinitjob ͒ʏ NULL ŁAalarm() N
 *	_sigrtcinit() w悤ɂȂĂ܂.
 */
