/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id:$
 */

/* System headers */
#include <stdlib.h>
#include <sys/dos.h>
#include <sys/xsignal.h>

/* Functions */
void _sigrtcend (void)
{
    int ssp, level;
    efunc_t *vector;

    /* Supervisor [h */
    ssp = _dos_super (0);

    /* 荞ׂ݂ă}XN */
    level = intlevel (7);

    /* Alarm clock Ƃɖ߂ */
    _sigrtcsave (-1);

    /* Alarm 荞݃GbWƂɖ߂ */
    MFP->aer.alarm = _oldmfp.aer;

    /* Alarm 荞݃Cl[uƂɖ߂ */
    MFP->ierb.alarm = _oldmfp.ierb;

    /* Alarm 荞݃}XNƂɖ߂ */
    MFP->imrb.alarm = _oldmfp.imrb;

    /* 荞ݏAhXƂɖ߂ */
    vector = (efunc_t *) ((MFP->vr & 0xf0) * sizeof (efunc_t));
    *vector = _oldrtc;

    /* 荞݃}XNxƂɖ߂ */
    intlevel (level);

    /* Usermdoe  */
    if (ssp > 0)
	_dos_super (ssp);
}
