/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id:$
 */

/* System headers */
#include <stdlib.h>
#include <sys/dos.h>
#include <sys/xsignal.h>

/* Externel variables */
efunc_t _oldrtc;
mfpsave_t _oldmfp;

/* Functions */
void _sigrtcinit (void)
{
    int ssp, level;
    efunc_t *vector;

    /* Supervisor [h */
    ssp = _dos_super (0);

    /* 荞ׂ݂ă}XN */
    level = intlevel (7);

    /* Alarm clock ۑ */
    _sigrtcsave (0);

    /* MFP GPIP0 荞ݏAhXݒ */
    vector = (efunc_t *) ((MFP->vr & 0xf0) * sizeof (efunc_t));
    _oldrtc = *vector;
    *vector = (efunc_t) _intrtc;

    /* Alarm 荞݃GbW𗧂オɐݒ */
    _oldmfp.aer = MFP->aer.alarm;
    MFP->aer.alarm = 0;

    /* Alarm 荞݃}XN OFF */
    _oldmfp.imrb = MFP->imrb.alarm;
    MFP->imrb.alarm = 1;

    /* Alarm 荞݃Cl[u ON */
    _oldmfp.ierb = MFP->ierb.alarm;
    MFP->ierb.alarm = 1;

    /* 荞݃}XNxƂɖ߂ */
    intlevel (level);

    /* Usermode  */
    if (ssp > 0)
	_dos_super (ssp);
}
