/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * based on the contribution from sa2c (NIIMI Satoshi).
 * --------------------------------------------------------------------
 * $Id: _dehupair.c,v 1.2 1993/08/16 13:34:57 mura Exp $
 */

/* System headers */
#include <string.h>
#include <sys/dos.h>
#include <sys/xstart.h>

/* Functions */
int _dehupair (const char *comline, char *com)
{
    unsigned char c, inquote;
    int ret;
    char *q;
    const char *p;

    /* ϐ */
    p = comline;
    q = com;
    ret = 1;
    inquote = 0;

    /* ŏ̃Xy[XXLbv */
    while (*p++ == ' ')
	;
    c = *--p;

    /* R}hCI? */
    if (c == '\0') {
	*q++ = c;
	*q++ = c;
	return 0;
    }

    /* R}hC ... */
    while ((c = *p++) != '\0') {

	/* NI[gȂ... */
	if (inquote) {

	    /* NI[g? */
	    if (c == inquote)
		inquote = 0;

	    /* ̂܂܃Rs[ */
	    else
		*q++ = c;

	}

	/* NI[g? */
	else if (c == '\'' || c == '"')
	    inquote = c;

	/* 󔒕? */
	else if (c == ' ') {

	    /* EOS ł */
	    *q++ = '\0';

	    /* AXy[XXLbv */
	    while (*p++ == ' ')
		;
	    c = *--p;

	    /* EOS ȂI */
	    if (c == '\0')
		goto null_char;

	    /* JEg */
	    ret++;

	}

	/* LȊOȂRs[ */
	else
	    *q++ = c;

    }

    /* Ō EOS ł */
    *q++ = c;

  null_char:

    /* A EOS ł */
    *q = c;

    /* ̐Ԃ */
    return ret;
}
