/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _enargv.c,v 1.6 1994/07/27 13:47:59 mura Exp $
 */

/* System headers */
#include <string.h>
#include <stdlib.h>
#include <limits.h>
#include <sys/dos.h>
#include <sys/xstart.h>
#include <sys/xglob.h>

/* Functions */
int _enargv (const struct _psp *proc, int argc, char **argv, const char *com)
{
    int i, n, no_opt;
    static char program_name[PATH_MAX + 1];

    /* HUPAIR ɂN? */
    if (strcmp (_comline - 9, _hupair_mark) == 0) {

	/* argv[0] 쐬 */
	strcpy (program_name, _comline + strlen (_comline) + 1);

    }

    /* ʏ̋N */
    else {
#if 0
	int last;
#endif

	/* argv[0] 쐬 */
	strcat (strcpy (program_name, proc->exe_path), proc->exe_name);

#if 0
	/* program_name ̍Ōオ . Ȃ炻菜 */
	last = strlen (program_name) - 1;
	if (program_name[last] == '.')
	    program_name[last] = '\0';
#endif

    }

    /* pXf~^ '/' ɓꂵāAargv[0] ɋL^ */
    *argv++ = _toslash (program_name);
    n = 1;

    /* ARGV z𐶐 */
    for (no_opt = 0, i = 0; i < argc; i++) {

	/* IvVw肩 */
	if (com[0] == '-' && com[1] == '+' && com[2] == '-' && !no_opt) {
	    if (com[3] == 'h' && com[4] == ':') {
		_heapsize = atoi (com + 5);
		goto skipit;
	    }
	    else if (com[3] == 's' && com[4] == ':') {
		_stacksize = atoi (com + 5);
		goto skipit;
	    }
	    else if (com[3] == 'p') {
		_superman |= _SUPER_GO;
		goto skipit;
	    }
	    else if (com[3] == 'f') {
		_superman |= _SUPER_FLOAT;
		goto skipit;
	    }
#if 0
	    else if (com[3] == 'g') {
		_cplusplus = 1;
		goto skipit;
	    }
#endif
	    else if (com[3] == '-') {
		no_opt = 1;
		goto skipit;
	    }
	}

	/* ARGV ݒ */
	*argv++ = (char *) com;
	n++;

    skipit:

	/* ̈̐擪܂ŃXLbv */
	while (*com++);

    }

    /* Ō 0 őł~߂ */
    *argv = (char *)0;

    /* ̐Ԃ */
    return n;
}
