/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _sinit.c,v 1.4 1994/11/26 14:57:29 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <unistd.h>
#include <sys/xstdio.h>

/* Functions */
void _sinit (void)
{
    int i, buff;
    FILE *fp = &_iob[0];

    /* Wt@CXg[ */
    for (i = 0; i < 5; i++, fp++) {

#ifdef	__STDERR_AUX_NONBUF__
	static const char _sbuffs[5] = {
	    _IOLBF,			/* stdin */
	    _IOLBF,			/* stdout */
	    _IONBF,			/* stderr */
	    _IONBF,			/* stdaux */
	    _IOLBF			/* stdprn */
	};
#endif
	static const char _smodes[5][3] = {
	    "r",			/* stdin */
	    "w",			/* stdout */
	    "w",			/* stderr */
	    "a+",			/* stdaux */
	    "w"				/* stdprn */
	};

#ifdef	__STDERR_AUX_NONBUF__
	buff = isatty (i) ? _sbuffs[i] : _IOFBF;
#else
	/* 肪[ȂȂ狭I _IOFBF ɂ */
	buff = isatty (i) ? _IOLBF : _IOFBF;
#endif

	/*  */
	(void) _sopen (fp, _smodes[i], buff);

	/* _IOAPPLS tO */
	fp->_flag &= ~_IOAPPLS;

	/* t@Cnho^ */
	fp->_file = i;

	/* [hݒ */
	fp->_flag &= ~(_IOBINARY | _IOTEXT);
	fp->_flag |= (buff == _IOFBF) ? _IOBINARY : _IOTEXT;
    }
}
