/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: fgets.c,v 1.3 1994/07/31 17:23:52 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <sys/xstdio.h>

/* Functions */
char *fgets (char *buffer, int n, FILE *fp)
{
    int hope;
    char *ptr;
    unsigned char *mark;

    /* ǂݍ݃obt@̃TCY 1 ȏ */
    if (--n < 0) {
	errno = EINVAL;
	return 0;
    }

    /* ǂݍݑobt@ */
    if (_sread (fp) < 0) {
	*buffer = '\0';
	return 0;
    }

    /* |C^̏ */
    ptr = buffer;

    /* obt@TCYo */
    do {

	/* ǂݏo߂ */
	hope = (n > fp->_cnt) ? fp->_cnt : n;

	/* obt@ NEWLINE ͂邩 */
	if ((mark = memchr (fp->_ptr, '\n', hope)) != NULL) {
	    hope = mark - fp->_ptr + 1;
	    n = 0;
	}

	/* f[^] */
	memcpy (ptr, fp->_ptr, hope);

	/* eϐ]␳ */
	n -= hope;
	ptr += hope;
	fp->_cnt -= hope;
	fp->_ptr += hope;

    /* obt@TCYɖȂ͉xł */
    } while (n > 0 && _sread (fp) >= 0);

    /* null őł~߂ */
    *ptr = '\0';

    /* buffer Ԃ */
    return buffer;
}
