/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: tmpfile.c,v 1.2 1993/11/13 06:34:50 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <unistd.h>
#include <sys/xunistd.h>

/* Functions */
FILE *tmpfile (void)
{
    FILE *fp;
    char *fname;

    /* t@C߂ */
    fname = tmpnam (0);

    /* ̃t@C wb+ ŃI[v */
    if ((fp = fopen (fname, "wb+")) == 0)
	return 0;

    /*
    ** ؂猾 unlink (fname) A኱Ԃ邽
    ** ł͒ _fddb 邱ƂɂB
    */
    _fddb[fp->_file].unlink = 1;

    /* ߂ */
    return fp;
}
