/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: tmpnam.c,v 1.1.1.1 1993/04/18 16:23:22 mura Exp $
 */

/* System headers */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/xglob.h>
#include <sys/xstdio.h>

/* Functions */
char *tmpnam (char *name)
{
    int i;
    static char local_header[5] = "aaaa";
    static char local_buffer[L_tmpnam];

    /*
     ** Ăяo񐔂͓ɊǗĂȂBTMP_MAX ̒l͏At@xbg
     ** 4 ̑gݍ킹̐ 26^4 łBzꍇPɏz邾
     ** Ȃ̂Ŗ͂ȂB
     */

    /* name  null ̏ꍇ͓obt@gp */
    if (name == 0)
	name = local_buffer;

    /* ϐ temp ̒lQƂ */
    strcpy (name, getenv ("temp") ? : P_tmpdir);

    /* Ō /  */
    _addlastsep (name);

    /* ev[g */
    strcat (name, local_header);
    strcat (name, "XXXXXX");

    /* ev[gwb_ (4 ̏At@xbg) XV */
    i = 3;
    while (1) {

	/* Jオ肪ȂȂAł܂ */
	if (++local_header[i] <= 'z')
	    break;

	/* z->a ɖ߂ */
	local_header[i] = 'a';

	/* ӂꂵASĂɖ߂ */
	if (--i < 0) {
	    strcpy (local_header, "aaaa");
	    break;
	}
    }

    /* mktemp R[At@C𐶐 */
    return mktemp (name);
}
