/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _ma_recycle.c,v 1.1.1.1 1993/04/18 16:23:45 mura Exp $
 */

/* System headers */
#include <sys/xstdlib.h>

/* Functions */
char *_ma_recycle (char *block, size_t *size)
{
    int need;				/* KvoCg */
    int current_size;			/* ݂̃ubNTCY */

    /*
    ** KvTCYƍ̋󂫃ubNTCY𓾂B
    */
    need = *size;
    current_size = MA_FASTMASK (MA_FFLAG (block));

    /*
    ** 󂫃ubN𕪊łȂ悤ȂubN󂫃ubN
    ** Xg폜ẴTCŶ܂܂ŗpB܂A
    ** ̋󂫃ubN傫 MIN_BLOCKSIZ oCg悤Ȃ
    ** ΕȂB
    */
    if (current_size - need < MIN_BLOCKSIZ) {
	_ma_remove (block);
	*size = current_size;
	return block;
    }

    /*
    ** 󂫃ubÑTCYύXBʒu͕ύXȂ̂ŃXg
    ** ւ̕ύX͂ȂBɂ̌̓ԂVubN
    ** ƂĊpB
    */
    current_size  -= need;
    MA_FFLAG (block) = MA_VALUE (MA_FREE, current_size);
    block += current_size;
    MA_BFLAG (block) = MA_VALUE (MA_FREE, current_size);

    /*
    ** AhXԂB
    */
    return block;
}
