* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: _ulltoa.s,v 1.1 1994/11/26 14:58:18 mura Exp $
*

NBYTES:		.equ		10
NBITS:		.equ		64

		.offset		4

val:		.ds.l		2
ptr:		.ds.l		1

		.cpu		68000

		.text

__ulltoa::
		movem.l		(val-4,sp),d0/d1-d2/a1
		movem.l		d3-d4,-(sp)
		clr.l		-(sp)			* obt@
		clr.l		-(sp)
		clr		-(sp)
		.fail		(4+4+2).ne.NBYTES
		moveq		#NBITS-1,d0
bcd_loop_2:
		moveq		#NBYTES-1,d4
		lea		(NBYTES,sp),a0
		lea		(a0),a2
		lsl.l		#1,d1			* 64bitVtg
		roxl.l		#1,d2
bcd_loop_1:
		abcd		-(a2),-(a0)		* BCDZ
		dbra		d4,bcd_loop_1
		dbra		d0,bcd_loop_2

* now a0 point to top of bcd buffer.
		moveq		#NBYTES-1,d2
skip_dz:
		move.b		(a0)+,d3		* 0XLbv
		dbne		d2,skip_dz
		bne		skip_sz
		move.b		#'0',(a1)+
		bra		set_eos
skip_sz:
		moveq		#$f,d4			* ʂ0XLbv
		and.b		d3,d4
		lsr.b		#4,d3
		bne		cnv_upper
		bra		cnv_lower
cnv_loop:
		move.b		(a0)+,d3		* ʏϊ
		moveq		#$f,d4
		and.b		d3,d4
		lsr.b		#4,d3
cnv_upper:
		addi.b		#'0',d3
		move.b		d3,(a1)+
cnv_lower:
		addi.b		#'0',d4
		move.b		d4,(a1)+
		dbra		d2,cnv_loop
set_eos:
		clr.b		(a1)
		lea		(NBYTES,sp),sp
		movem.l		(sp)+,d3-d4
		rts

		.end
