/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: abort.c,v 1.4 1993/08/16 13:36:10 mura Exp $
 */

/* System headers */
#include <stdlib.h>
#include <unistd.h>
#include <sys/wait.h>
#include <sys/xglob.h>
#include <sys/xstart.h>

/* Functions */
void __volatile abort (void)
{
    union wait r;

    /* bZ[W\ */
    _print ("Abnormal program termination\r\n");

    /* IR[hݒ */
    r.w_status = 0;
    r.w_liberror = 1;
    r.w_retcode = 255;

    /* vO exit  */
    _exit (r.w_status);
}
