/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: econvert.c,v 1.2 1994/11/27 13:06:05 mura Exp $
 */

/* System headers */
#include <stdlib.h>
#include <sys/xstdlib.h>

/* Functions */
char *econvert (double x, int ndigit, int *decpt, int *sign, char *buffer)
{
    char *src, *dst;
    char string[24];

    /* 18̕ɕϊ */
    _dtos18 (x, decpt, sign, string);

    /* Rs[AhXݒ */
    src = string;

    /* Rs[AhXݒ */
    dst = buffer;

    /* i[ɃRs[ */
    while (--ndigit >= 0) {

	/* Ȃ0Ŗ߂ */
	if (*src == '\0') {
	    do {
		*dst++ = '0';
	    } while (--ndigit >= 0);
	    break;
	}

	/* ϊ񂩂Rs[ */
	*dst++ = *src++;

    }

    /* I[ NUL ł */
    *dst = '\0';

    /* ۂ߂ */
    *decpt += _round (buffer, dst, *(unsigned char *)src);

    /* AhXԂ */
    return buffer;
}
