/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: exit.c,v 1.3 1994/05/02 16:52:38 mura Exp $
 */

/* System headers */
#include <stdlib.h>
#include <limits.h>
#include <unistd.h>
#include <sys/xstart.h>
#include <sys/xprof.h>

/* External variables */
int _exitnums;
void (*_exitprcs[ATEXIT_MAX]) (void);

/* Functions */
void __volatile exit (int ecode)
{
    int i;

    /* o^ꂽ֐At̏ԂɌĂяo */
    for (i = _exitnums - 1; i >= 0; i--)
	(*_exitprcs[i]) ();

#ifdef __CPLUSPLUS_EXIT__
    /* O[ofXgN^̌Ăяo */
    if (_cplusplus)
	_dtors ();
#endif

    /* Ō̏Is */
    _exit (ecode);
}
