/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: mbstowcs.c,v 1.2 1994/11/26 14:59:01 mura Exp $
 */

/* System headers */
#include <stdlib.h>
#include <limits.h>
#include <mbctype.h>
#include <sys/types.h>

/* Functions */
size_t mbstowcs (wchar_t *widechar, const char *multibyte, size_t number)
{
    int bytes;
    int n = 0;

    /* SĂ̕ϊ܂Ń[v */
    while (n < number) {

	/* ϊɖȕɂł... */
	if ((bytes = mbtowc (widechar, multibyte, MB_LEN_MAX)) < 0)
	    return -1;

	/* null ɂł... */
	if (bytes == 0) {
	    *widechar = (wchar_t) '\0';
	    return n;
	}

	/* JE^A|C^i߂ */
	widechar++;
	multibyte += bytes;
	n++;
    }

    /* n Ԃ */
    return n;
}
