/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: setenv.c,v 1.1 1993/06/06 06:09:55 mura Exp $
 */

/* System headers */
#include <alloca.h>
#include <stdlib.h>
#include <string.h>

/* Functions */
int setenv (const char *name, const char *value, int overwrite)
{
    char *ptr;

    /* ȂAāA overwrite  true Ȃ */
    if (getenv (name) == 0 || overwrite) {

	/* e|̗̈mۂ */
	ptr = (char *) alloca (strlen (name) + strlen (value) + 2);

	/* e|쐬 */
	strcpy (ptr, name);
	strcat (ptr, "=");
	strcat (ptr, value);

	/* putenv  */
	return putenv (ptr);

    }

    /* I */
    return 0;
}
