/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: wcstombs.c,v 1.1.1.1 1993/04/18 16:24:58 mura Exp $
 */

/* System headers */
#include <stdlib.h>
#include <mbctype.h>
#include <sys/types.h>

/* Functions */
size_t wcstombs (char *string, const wchar_t *widechar, size_t count)
{
    int n, bytes;
    int cnt = 0;

    /* count ܂Ń[v */
    for (n = 0; n < count; n++) {

	/* sȕɂł... */
	if ((bytes = wctomb (string, *widechar)) < 0)
	    return -1;

	/* null ɒBI */
	if (*string == 0)
	    return cnt;

	/* JE^A|C^i߂ */
	widechar++;
	string += bytes;
	cnt += bytes;
    }

    return cnt;
}
