
/* System headers */
#include <time.h>
#include <errno.h>
#include <sys/times.h>
#include <sys/xtime.h>

/* Functions */
clock_t times (struct tms* buffer)
{

    if (!buffer) {
	errno = EINVAL;
	return (clock_t) -1;
    }

    /* CPU  */
    buffer->tms_utime = clock ();

    /* VXe */
    buffer->tms_stime = 0;

    /* IqvZX CPU Ԃ̍v */
    buffer->tms_cutime = _ontime2clock (_chclock);

    /* IqvZX̃VXeԂ̍v */
    buffer->tms_cstime = 0;

    return buffer->tms_utime;
}
