
/* System headers */
#include <time.h>
#include <sys/xtime.h>

/* Functions */
struct _ontime __const _diffontime (struct _ontime t1, struct _ontime t2)
{
    int sec_max = 8640000;

    t1.day -= t2.day;
    t1.sec -= t2.sec;

    if (t1.sec < 0) {
	t1.sec += sec_max;
	t1.day--;
    }
    if (t1.sec >= sec_max) {
	t1.sec -= sec_max;
	t1.day++;
    }

    return t1;
}
