
/* System headers */
#include <time.h>
#include <sys/xtime.h>
#ifdef TIMER_CHECKER
#include <limits.h>
#endif

/* Functions */
clock_t __const _ontime2clock (struct _ontime t)
{
#ifdef TIMER_CHECKER
    int day_max = (LONG_MAX / 8640000) - (t.sec > (LONG_MAX % 8640000));

    /* G[`FbN */
    if (t.day < 0 || t.day > day_max)
	return LONG_MAX;
#endif

    /* clock_t ^ɕϊĕԂ */
    return (clock_t) (t.day * 8640000 + t.sec);
}
