/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: localtime.c,v 1.1.1.1 1993/04/18 16:38:29 mura Exp $
 */

/* System headers */
#include <time.h>
#include <sys/xtime.h>

/* Functions */
struct tm *localtime (const time_t *caltime)
{

    /* tm \̂ɕϊ */
    _gmtm = _localtime (caltime);

    /* tm \̂ւ̃|C^Ԃ */
    return &_gmtm;
}

/* Functions */
struct tm _localtime (const time_t *caltime)
{
    struct tm tm;
    time_t newtime;

    /* ^C][ČvZ */
    tzset ();

    /* n掞Ԃ֕␳ */
    newtime = *caltime - timezone;

    /* tm \̂ɕϊ */
    tm = _gmtime (&newtime);

    /* n񂾂Đݒ肷 */
    tm.tm_isdst  = daylight;
    tm.tm_gmtoff = timezone;
    tm.tm_zone   = tzname[(daylight && tzname[1] && *tzname[1]) ? 1 : 0];

    /* tm \̂Ԃ */
    return tm;
}

/*
 * :
 *	KiɂAgmtime()  localtime() ͓|C^ԂȂ
 *	ȂȂ.
 */
