/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: ctermid.c,v 1.2 1994/11/26 15:10:29 mura Exp $
 */

/* System headers */
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <sys/dos.h>
#include <sys/xunistd.h>

/* Functions */
char *ctermid (char *buff)
{
    int n;
    char *ptr;
    static char termid[L_ctermid];

    /* o̓obt@I */
    ptr = buff ? buff : termid;

    /* LN^foCXȂ΂̖OԂ */
    if (_fddb[STDIN_FILENO].cdev) {
	memcpy (ptr, _fddb[STDIN_FILENO].fcb.chr.name1, 8);
	for (n = 7; ptr[n] == ' '; n--);
	ptr[n + 1] = '\0';
    }

    /* W͂ubNfoCXȂ con Ԃ */
    else
	strcpy (ptr, "CON");

    /* AhXԂ */
    return ptr;
}
