/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: cuserid.c,v 1.1.1.1 1993/04/18 16:39:20 mura Exp $
 */

/* System headers */
#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

/*
** ̊֐ POSIX 1003.1a ō폜ꂽASVR4 Ƃ̌݊̂߂ɑ݂
*/

/* Functions */
char *cuserid (char *buff)
{
    char *logname;
    static char userid[L_cuserid];

    /*
    ** Human68k ɂ̓[U[ƂTO͂Ȃ̂ŃVF(Ⴆfish)ݒ
    ** O𗘗pB܂Aʂ̃[U[ւ̐ؑւ͂łȂ̂ŏɃ
    ** OC[U[łB݂̂ƂAOC[U[͊ϐ LOGNAME
    ** oB
    */
    if ((logname = getenv ("LOGNAME")) == 0) {
	if ((logname = getenv ("USER")) == 0) {

	    /* buff  null |C^[Ȃ null Ԃ */
	    if (buff == 0)
		return 0;
	    else {
		buff[0] = '\0';
		return buff;
	    }

	}
    }

    return strcpy (buff ? buff : userid, logname);
}
